<?php // Jax Petitionbook (basing on Jax Guestbook) v3.06 - globals.inc.php

// This file can be changed comfortably by the guestbook.admin.php script
// Global variables (perhaps have to be fitted) :

// Title of the HTML-page
$gbfiles[0]->title         = "Elektronische Unterschriftenliste";

// Data source
$gbfiles[0]->data_source   = "csvfile";

$gbfiles[0]->guestbookfile = "petitionbook";
$gbfiles[0]->ipblockfile   = "ips2block";

$gbfiles[0]->db_server     = "";
$gbfiles[0]->db_login      = "";
$gbfiles[0]->db_database   = "testbase";
$gbfiles[0]->db_password   = "";

// CSS template for the Guestbook
$gbfiles[0]->css           = "styles/blue-orange.css";

// Inputs
$input_name                = true;
$input_email               = true;
$input_age                 = true;
$input_city                = true;
$input_homepage            = true;
$input_icq                 = true;
$input_message             = true;

// if no guestbook_id is given in URI, take default (0)
if (!empty( $HTTP_GET_VARS[ "guestbook_id" ] ) )
  $guestbook_id = $HTTP_GET_VARS[ "guestbook_id" ];
else
  $guestbook_id = 0;

$htmltitle     = $gbfiles[$guestbook_id]->title;
$data_source   = $gbfiles[$guestbook_id]->data_source;
$guestbookfile = $gbfiles[$guestbook_id]->guestbookfile;
$blocking_file = $gbfiles[$guestbook_id]->ipblockfile;
if ($data_source == "mysql" )
{
$db_server     = $gbfiles[$guestbook_id]->db_server;
$db_login      = $gbfiles[$guestbook_id]->db_login;
$db_database   = $gbfiles[$guestbook_id]->db_database;
$db_password   = $gbfiles[$guestbook_id]->db_password;
}

$css_file      = $gbfiles[$guestbook_id]->css;

// Language support
if ( empty( $HTTP_GET_VARS[ "language" ] ) )
{
    $languagepack = "German";
}
else
{
    $languagepack = $HTTP_GET_VARS[ "language" ];
}

// fit date to time zone
$fit_timezone      = true;

// how many guestbook entries shell be output per page?
$entries_per_page  = 100;

// Maximum of bad words, till the posting will be denied
$insults_tolerance = 0;

// Duration (in hours), the IPs of spammers have to be blocked
$blocking_period   = 1;

// Maximum size of a Message in Bytes
$max_message_size  = 1024;

// Filter
$filter_multiposting = true;
$filter_badwords     = true;
$filter_html         = true;

// e-mail Notification
$administrator_notification = true;
$administrator_address = "webmaster@mydomain.de";

if (!empty( $_SERVER["PHP_SELF"] ))
  $PHP_SELF = $_SERVER["PHP_SELF"];

if (!empty( $_SERVER["SCRIPT_NAME"] ) )
  $SCRIPT_NAME = $_SERVER["SCRIPT_NAME"];

if (!empty( $_SERVER["SERVER_NAME"] ) )
  $SERVER_NAME = $_SERVER["SERVER_NAME"];

if (!empty( $_SERVER["REMOTE_ADDR"] ) )
  $REMOTE_ADDR = $_SERVER["REMOTE_ADDR"];

?>